TheSwamp

CAD Forums => CAD General => Topic started by: rktect3j on June 21, 2010, 02:44:08 PM

Title: Dimensions using plat coordinates
Post by: rktect3j on June 21, 2010, 02:44:08 PM
Well I have never had to do this but..... I have a plat of survey and on it it gives me the property line lengths as well as something like N 80 59' 56" E 138.20  So how do I enter this into a cad drawing so I can manipulate the building on the property?

I usually just enter something like "pline" enter,.......... pick a spot to begin......... then @138.4'<90
Title: Re: Dimensions using plat coordinates
Post by: Dent Cermak on June 21, 2010, 02:54:53 PM
In Map3D you do not have the ability to draw the lines directly by quadrant. You must convert the Bearings to their angular equivelents and that is a PAIN!!
Your example with the NE quadrant is easy, it would be @138.20<80.5956. The problen comes in all of the other quadrants.
You would do better to buy an add-on that allows you to draw lines "by direction". This would eliminate the errors that are usually made when trying to convert this mess. (You can always download a "30 day trial" version of some surveying software. Snag a copy of Carlson Survey from a dealer or their web site. This will fix the problem for now and maybe you will want to purchase a seat for future use?)
Next best thing would be to send the data to a surveyor and have him plot it up for you. There's probably a survey drafting tech out there that would be glad to do it for you on the side for little or no cost.
Title: Re: Dimensions using plat coordinates
Post by: alanjt on June 21, 2010, 02:59:21 PM
If you do have that option in MAP, I scratched this out when I first started using Civil 3D (I hate using pulldowns).

Code: [Select]
(defun c:BL (/ pt)
  ;; line by bearing & distance
  (if (setq pt (cond ((getpoint "\nSpecify starting point: "))
                     ((getvar 'lastpoint))
               )
      )
    (command "_.line" "_non" pt "'BD")
  )
  (princ)
)

You can have it either use the picked point or last picked point.
Title: Re: Dimensions using plat coordinates
Post by: alanjt on June 21, 2010, 03:08:01 PM
Found it. Here's the old one for LDD:

Code: [Select]
(defun c:BL (/)
  (cr_mnl)
  (load2 "CG" "lotbydes")
  (princ)
)
Title: Re: Dimensions using plat coordinates
Post by: rktect3j on June 21, 2010, 04:28:16 PM
Thanks for the replies.
Title: Re: Dimensions using plat coordinates
Post by: alanjt on June 21, 2010, 04:32:51 PM
Did you get something going?

There's always:
Code: [Select]
Command: l
LINE Specify first point:
Specify next point or [Undo]: @25<n25d52'13"w
Title: Re: Dimensions using plat coordinates
Post by: mjfarrell on June 21, 2010, 06:53:47 PM
For MAP 3D


For example, start the Polyline (PLINE) command. When prompted for the next point in the polyline, enter ‘mapcogo. The COGO Input dialog box appears. Select a COGO routine, and enter the COGO data to calculate the new point. When you finish specifying the point, the Polyline command prompts you to enter the next point. You can enter the point normally, or you can start another transparent command to specify the point.

NoteYou can still access most COGO commands transparently by typing an apostrophe (‘) plus the command name (AD, BB, BD, DD, DDIST, ZD). Orthogonal/Offset and Inverse Report are only available from the COGO Input dialog box.
Title: Re: Dimensions using plat coordinates
Post by: cadtag on June 29, 2010, 10:35:12 AM
Well I have never had to do this but..... I have a plat of survey and on it it gives me the property line lengths as well as something like N 80 59' 56" E 138.20  So how do I enter this into a cad drawing so I can manipulate the building on the property?

I usually just enter something like "pline" enter,.......... pick a spot to begin......... then @138.4'<90

If you change angular units to surveyor's units, you can just..

enter something like "pline" enter,.......... pick a spot to begin......... then @138.4'<n80d59'56"e

and walk all the way around the plat.
Title: Re: Dimensions using plat coordinates
Post by: BlueMoon on November 10, 2010, 01:54:40 PM
If you are using c3d, go to the Manage Tab & click on CUI.  In "command list" use "all commands only".  Scroll down to "by bearing".  Drag this to on of your toolbars.  You now have direct access to quadrant, bearing and distance of lines.
Title: Re: Dimensions using plat coordinates
Post by: mjfarrell on November 10, 2010, 02:05:48 PM
If you are using c3d, go to the Manage Tab & click on CUI.  In "command list" use "all commands only".  Scroll down to "by bearing".  Drag this to on of your toolbars.  You now have direct access to quadrant, bearing and distance of lines.
OR

become a Power User:
Start the Polyline command and then select the Transparent Command 'BD (Bearing and Distance)
and leave the CUI alone
Title: Re: Dimensions using plat coordinates
Post by: alanjt on November 10, 2010, 02:36:50 PM
I wrote this to save a little typing...

Code: [Select]
(defun c:BL (/)
  ;; line by bearing & distance
  (command "_.line"
           "_non"
           (cond ((getpoint "\nSpecify starting point: "))
                 ((getvar 'lastpoint))
           )
           "'BD"
  )
  (princ)
)
Title: Re: Dimensions using plat coordinates
Post by: wjbzone on January 18, 2011, 04:33:38 PM
I enter deeds/plats into Autocad a lot.
I use an Excel spreadsheet I developed to enter the bearings and distances.

After entering the data, click a command button and the spreadsheet writes Autocad script files. Use the Autocad "scr" command to read the script file.

Script will draw a polyline for the boundary, labels the lines with line number, description and Bearing/distance (all in different layers you can specify).

It is easy to make changes and redo if necessary.

If anyone is interested in this spreadsheet let me know.
Title: Re: Dimensions using plat coordinates
Post by: wjbzone on January 18, 2011, 04:41:39 PM
If you want to just enter a deed call into Autocad manually,
N 80 59' 56" E 138.20 

1. Draw a line from the start point to a point @0,138.2  (north east or north west)
2. Rotate last about the start point (NE is Y towards X thus a negative rotation)  Enter angle as -80d59'56"


If the line is SE or SW, step 1 above is @0,-138.2 then rotate
Title: Re: Dimensions using plat coordinates
Post by: mjfarrell on January 18, 2011, 04:43:09 PM
If you want to just enter a deed call into Autocad manually,
N 80 59' 56" E 138.20 

1. Draw a line from the start point to a point @0,138.2  (north east or north west)
2. Rotate last about the start point (NE is Y towards X thus a negative rotation)  Enter angle as -80d59'56"


If the line is SE or SW, step 1 above is @0,-138.2 then rotate


OR change your UNITS and enter the bearing directly.
Title: Re: Dimensions using plat coordinates
Post by: RGA820 on May 05, 2014, 12:40:27 PM
Hi,

Read your post about the excel spreadsheet that could be used to create a polygon or line in AutoCad.

Could use something like that to check some legal descriptions.

Appreciate it if you could send me a copy.

Regards

Richard
Title: Re: Dimensions using plat coordinates
Post by: wjbzone on May 06, 2014, 10:14:35 AM
Could use something like that to check some legal descriptions.

Yes. You will have to enter the deed in the correct columns in the spreadsheet.

The attached spreadsheet has some instructions and comments, but not sure how user friendly it is.
Title: Re: Dimensions using plat coordinates
Post by: alanjt on May 06, 2014, 12:21:31 PM
Could use something like that to check some legal descriptions.

Yes. You will have to enter the deed in the correct columns in the spreadsheet.

The attached spreadsheet has some instructions and comments, but not sure how user friendly it is.
That's pretty in depth. I've always just plotted the legal in autocad and gone from there.
Title: Re: Dimensions using plat coordinates
Post by: wjbzone on May 06, 2014, 01:52:40 PM
I like entering data into the spreadsheet because it is so easy to check and correct if needed. (It also has columns for poles and links hidden unless needed)

The spreadsheet's output script file can label points, lines, add descriptions and draw a circle at each point (each on specified layer). Read the script file into Autocad using the "scr" command.
Title: Re: Dimensions using plat coordinates
Post by: alanjt on May 06, 2014, 01:59:15 PM
I like entering data into the spreadsheet because it is so easy to check and correct if needed. (It also has columns for poles and links hidden unless needed)

The spreadsheet's output script file can label points, lines, add descriptions and draw a circle at each point (each on specified layer). Read the script file into Autocad using the "scr" command.
Whoa. Will have to try this out.
Thank you for sharing.